Retrieves all the contacts
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "ceda7c7f-d3d5-4371-a167-e07c95377535",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "11462d58-b236-463b-bab7-dec87246cc1e",
"company_code": "sample string 5",
"company": {
"id": "1939a089-1208-4231-b13b-8bdc8209a986",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-11-12T19:55:22.7924869+00:00",
"sales_territory_id": "94f1b0ed-beb7-42ef-b509-3b86d1ae6a4e",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "7c1413fd-c70b-488d-bb93-d9158ec8bf4e",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "a88af2e4-1af0-40e9-a946-02de845471f7",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "f41a26e5-e42f-4bf3-8789-0b0323539caf",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "dc9fb0e4-024f-4bd7-85eb-e74ead768b4a",
"db_currency_id": "39a031c9-84ec-4a6a-984a-265db6c26f69",
"db_language_id": "897c2da6-e6e0-4e04-9e80-8dde476c640f",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-12T19:55:22.7924869+00:00"
},
"modified_dateutc": "2026-11-12T19:55:22.7924869+00:00"
},
"marketing_segment_id": "e77ac52e-9ddd-4be5-be2d-7f63e84b4ff0",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "dd9a09a1-5d7c-4b52-afae-6da25cb7824d",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "02f3018c-4c39-4892-9298-9236c1de500a",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "88979e39-4986-4f71-bef8-f0e3f7941b64",
"db_country_code": "sample string 28",
"feelist_id": "639facd6-09ed-4213-93eb-092d9e20a881",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "dee3d2f3-f7fe-4732-bf77-2eea47695c37",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "796f07d0-f703-478f-99cb-dbc9921cabd7",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-11-12T19:55:22.7924869+00:00",
"db_currency_id": "1eec3a02-c354-4a9a-a6ec-04eca4b92b7a",
"db_currency_code": "sample string 10"
},
"company_type_id": "b40ddb43-14cd-42cc-a823-f207f86eb9c0",
"company_type_name": "sample string 32",
"company_type": {
"id": "d9c140cf-c348-462c-aba5-6356f51cee62",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "5eaa9263-d0cd-418d-b148-d07e0d22bf0a",
"sales_organization_code": "sample string 5"
},
"db_language_id": "6948b2ec-ba4d-4ca6-9603-bba2c5dd3cea",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "bff019c6-6c08-44f9-8554-225274d07bd9",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "12b2ad98-fdf7-4f66-9f4b-0eb5d566eb28",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "fb051894-100c-4dce-af50-fadcc45a663a",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-11-12T19:55:22.7924869+00:00"
},
"company_sector_id": "4a5223ce-f94c-4105-bd61-a0694d0fe0da",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "95973610-f8c3-48e8-99cb-7478daa00a69",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "56b35489-4872-4dbc-b30e-4b1d1417caa5",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "d7ad4c73-6651-40fb-9c0f-3f1b7b86134d",
"account_manager_user_code": "sample string 56",
"company_status_id": "474f595d-9cb5-43d0-b485-108f3ba0aaae",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-11-12T19:55:22.7924869+00:00",
"id2": 60
},
"db_language_id": "4b2e43cd-fe7d-4448-a0de-7161a17a41d3",
"db_language_code": "sample string 7",
"db_title_id": "4f0655ba-3813-4d76-a2d7-a16e90c844ff",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-11-12T19:55:22.7924869+00:00",
"create_date": "2026-11-12T19:55:22.7924869+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-11-12T19:55:22.7924869+00:00"
}